<template>

	<div>
		<div class="cards">
			<h4>Statistik</h4>
			<div class="card-body">
				<div class="cell button-row--icons">
<!--					<button @click="forceUpdate" class="button button&#45;&#45;reload"></button>-->
					<button-reload v-on:click.native="forceUpdate" :is-loading="isLoading"></button-reload>
				</div>
				<div class="cols c-0-1">
					<div class="cell">Benutzer:</div>
					<div class="cell bg-4">{{ statistics.totalUsers }}</div>
					<div class="cell">Kategorien:</div>
					<div class="cell bg-4">{{ statistics.totalEventTypes }}</div>
					<div class="cell">Events:</div>
					<div class="cell bg-4">{{ statistics.totalEvents }}</div>
					<div class="cell">Kommentare:</div>
					<div class="cell bg-4">{{ statistics.totalComments }}</div>
					<div class="cell">Anfragen:</div>
					<div class="cell bg-4">{{ statistics.totalRequests }}</div>
					<div class="cell">Besuche (alle Events):</div>
					<div class="cell bg-4">{{ statistics.totalAttendees }}</div>
				</div>
			</div>

		</div>
	</div>

</template>

<script>
import ButtonReload from "@/components/buttons/ButtonReload";

export default {
	name: "AdminStatistics",
	components: {
		ButtonReload
	},
	data: () => ({
		isLoading: false
	}),
	methods: {
		forceUpdate() {
			this.toggleLoading();
			this.$store.dispatch("getStatistics")
				.then(this.toggleLoading);
		},
		toggleLoading() {
			this.isLoading = !this.isLoading;
		}
	},
	computed: {
		statistics() {
			return this.$store.getters.getStatistics;
		}
	},
	mounted() {
		// Only fetch if not already in store (obv most expensive database workload)
		if (!Object.keys(this.$store.getters.getStatistics).length) {
			this.toggleLoading();
			this.$store.dispatch("getStatistics")
				.then(this.toggleLoading);
		}
	}
}
</script>

<style scoped>

</style>